$(document).ready(function(){
  // Reset Font Size
	var originalFontSize = 16;
	var originalNewsDate = 10;
	var originalNewsChapter = 12;
	if (typeof($.cookie("font_size")) != "undefined")
		{
			$('html').css('font-size', $.cookie("font_size"));
    			$('table').css('font-size', $.cookie("font_size"));
		}
	if (typeof($.cookie("date_font_size")) != "undefined")
		{
			
			$('.newsdate').css('font-size', $.cookie("date_font_size"));
		}

	if (typeof($.cookie("chapter_font_size")) != "undefined")
		{
			$('.newschapter').css('font-size', $.cookie("chapter_font_size"));
		}
  
    $(".resetFont").click(function(){
	$('html').css('font-size', originalFontSize);
	$('table').css('font-size', originalFontSize);
	$('.newsdate').css('font-size', originalNewsDate);
	$('.newschapter').css('font-size', originalNewsChapter);
	$.cookie("font_size", originalFontSize, {expires: 7, domain: 'ktzn.mosreg.ru', path: '/'});
	$.cookie("date_font_size", originalNewsDate, {expires: 7, domain: 'ktzn.mosreg.ru', path: '/'});
	$.cookie("chapter_font_size", originalNewsChapter, {expires: 7, domain: 'ktzn.mosreg.ru', path: '/'});
	return false;
  });
  // Increase Font Size
  $(".increaseFont").click(function(){
    var currentFontSize = $('html').css('font-size');
    var currentFontSizeNum = parseFloat(currentFontSize, 10);
    var newFontSize = currentFontSizeNum*1.2;

	var currentNewsDate = isNaN($.cookie("date_font_size")) ? originalNewsDate : $.cookie("date_font_size");;
	var currentNewsDateNum = parseFloat(currentNewsDate, 10);
	var newNewsDate = currentNewsDateNum*1.2;

	var currentNewsChapter = isNaN($.cookie("chapter_font_size")) ?  originalNewsChapter : $.cookie("chapter_font_size");
	var currentNewsChapterNum = parseFloat(currentNewsChapter, 10);
	var newNewsChapter = currentNewsChapterNum*1.2;
    $('html').css('font-size', newFontSize);
    $('table').css('font-size', newFontSize);
    $.cookie("font_size", newFontSize, {expires: 7, domain: 'ktzn.mosreg.ru', path: '/'});

	$('.newsdate').css('font-size', newNewsDate);
	$('.newschapter').css('font-size', newNewsChapter);
	 $.cookie("date_font_size", newNewsDate, {expires: 7, domain: 'ktzn.mosreg.ru', path: '/'});
	 $.cookie("chapter_font_size", newNewsChapter, {expires: 7, domain: 'ktzn.mosreg.ru', path: '/'});
    return false;
  });
  // Decrease Font Size
  $(".decreaseFont").click(function(){
    var currentFontSize = $('html').css('font-size');
    var currentFontSizeNum = parseFloat(currentFontSize, 10);
    var newFontSize = currentFontSizeNum*0.8;

	var currentNewsDate = isNaN($.cookie("date_font_size")) ? originalNewsDate : $.cookie("date_font_size");
	var currentNewsDateNum = parseFloat(currentNewsDate, 10);
	var newNewsDate = currentNewsDateNum*0.8;

	var currentNewsChapter = isNaN($.cookie("chapter_font_size")) ?  originalNewsChapter : $.cookie("chapter_font_size");
	var currentNewsChapterNum = parseFloat(currentNewsChapter, 10);
	var newNewsChapter = currentNewsChapterNum*0.8;

    $('html').css('font-size', newFontSize);
    $('table').css('font-size', newFontSize);
    $.cookie("font_size", newFontSize, {expires: 7, domain: 'ktzn.mosreg.ru', path: '/'});

	$('.newsdate').css('font-size', newNewsDate);
	$('.newschapter').css('font-size', newNewsChapter);
	 $.cookie("date_font_size", newNewsDate, {expires: 7, domain: 'ktzn.mosreg.ru', path: '/'});
	 $.cookie("chapter_font_size", newNewsChapter, {expires: 7, domain: 'ktzn.mosreg.ru', path: '/'});
    return false;
  });



	if (typeof($.cookie("siteColor")) != "undefined")
		{
			$("body").removeClass('white').removeClass('blue').removeClass('black');
			$('body').addClass($.cookie("siteColor"));
		}
  $("#white_color").click(function(){
	$("body").removeClass('white').removeClass('blue').removeClass('black');
	$("body").addClass('white');
	$.cookie("siteColor", "white", {expires: 7, domain: 'ktzn.mosreg.ru', path: '/'});
  });

    $("#black_color").click(function(){
	$("body").removeClass('white').removeClass('blue').removeClass('black');
	$("body").addClass('black');
	$.cookie("siteColor", "black", {expires: 7, domain: 'ktzn.mosreg.ru', path: '/'});
  });

  $("#blue_color").click(function(){
	$("body").removeClass('white').removeClass('blue').removeClass('black');
	$("body").addClass('blue');
	$.cookie("siteColor", "blue", {expires: 7, domain: 'ktzn.mosreg.ru', path: '/'});
  });
});
